| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::ShaderManager Class Reference
Optional Components » HLMS

`#include <OgreHlmsShaderManager.h>`

Inheritance diagram for Ogre::ShaderManager:
[legend]

## Public Member Functions
| ShaderManager (const String &pieseFilesResorceGroup)
| ~ShaderManager ()
GpuProgramPtr | getGpuProgram (HlmsDatablock *dataBlock)

## Static Public Member Functions
static GpuProgramPtr | createGpuProgram (const String &name, const String &code, HlmsDatablock *dataBlock)

The documentation for this class was generated from the following file:

- OgreHlmsShaderManager.h